Subject: Re: [PATCH 1/8] net: add limit for socket backlog

From: Zhu Yi <[email-masked]>
Date: Wed, 03 Mar 2010 16:59:51 +0800

On Wed, 2010-03-03 at 16:47 +0800, Eric Dumazet wrote:
> Le mercredi 03 mars 2010 à 16:14 +0800, Zhu Yi a écrit :
> 
> > I want to provide a method for protocols to set its sock backlog limit.
> > For example, the sctp_rmem is 373500 (sysctl_sctp_rmem[1]) which is
> > larger than (sysctl_rmem_default << 1). But I'm not very sure about the
> > actual required size. So I didn't make it in the sctp patch. What do you
> > think?
> 
> I think this is not about bug fixes, but followup patches.
> 
> We should first address the bug asap, then do further refinements later.

I'm trying not to break the already working protocols which assume the
backlog is unlimited. In your example, apparently define MINBACKLOG to
2048 is too small. Then what should it be? I'm waiting for responses
from individual protocol maintainers. If all of them feel
(sysctl_rmem_default << 1) is OK, I can remove the .limit and use it
instead.

Thanks,
-yi